
package de.ivu.elect.presentation.wahlvorschlag.action;

import de.ivu.elect.business.kandidatur.entity.ListenkandidaturConstants;
import de.ivu.elect.business.wahlvorschlag.entity.Liste;

public class ListeListenkandidaturSearchAction extends AbstractListeListenkandidaturSearchAction {

  private static final long serialVersionUID = 1L;

  public ListeListenkandidaturSearchAction() {
    super();
  }

  @Override
  protected boolean isDisabledInternal(Liste liste) {
    return isEinzelbewerberListe(liste);
  }

  @Override
  protected String getLocalizedLabel() {
    return getMessage(getLabelKey(), getMessage(ListenkandidaturConstants.MESSAGE_KEY_ENTITY_MEHRZAHL));
  }
}
